Bug 691077 - ksh segfaults on suspend
Summary: ksh segfaults on suspend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 14
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-26 15:55 UTC by stadtkind2
Modified: 2011-04-15 21:21 UTC (History)
1 user (show)

Fixed In Version: ksh-20110208-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-14 20:56:44 UTC
Type: ---


Attachments (Terms of Use)

Description stadtkind2 2011-03-26 15:55:12 UTC
Description of problem:
ksh segfaults when suspending a running process

Version-Release number of selected component (if applicable):
ksh-20110208-2.fc14.i686

How reproducible:
happens all the time, see below


Steps to Reproduce:
1. run 'su'
2. make sure you switch to ksh by typing 'ksh', then suspend the root (ksh) shell using  'suspend'
3. gives 'Segmentation fault', also running 'jobs' shows nothing after that
4. run 'dmesg | tail' to see "[245682.112734] ksh[20922]: segfault at 30 ip 0806f670 sp bfb16d50 error 4 in ksh[8048000+14d000]"
  
Actual results:
nothing, even when running 'jobs', segfault shown in 'dmesg'

Expected results:
[1] + Stopped (SIGSTOP)        su


Additional info:
echo ${.sh.version} -> Version JM 93u 2011-02-08

Comment 1 Michal Hlavinka 2011-03-29 12:32:03 UTC
reproducible, thanks for reporting

Comment 2 Michal Hlavinka 2011-03-29 12:32:34 UTC
seems all versions >2010-06-21 are affected

Comment 3 Fedora Update System 2011-03-31 08:30:23 UTC
ksh-20110208-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110208-3.fc14

Comment 4 Fedora Update System 2011-03-31 08:30:30 UTC
ksh-20110208-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ksh-20110208-3.fc15

Comment 5 Fedora Update System 2011-03-31 16:57:30 UTC
Package ksh-20110208-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ksh-20110208-3.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ksh-20110208-3.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-14 20:56:39 UTC
ksh-20110208-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-04-15 21:21:12 UTC
ksh-20110208-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.